using System;
using Server;

namespace Server.Items
{
	public class RoyalZooLeatherLegs : LeatherLegs
	{
		public override int LabelNumber{ get{ return 1073222; } } // Leather Armor of the Britannia Royal Zoo
	
		public override int BasePhysicalResistance{ get{ return 10; } }
		public override int BaseFireResistance{ get{ return 10; } }
		public override int BaseColdResistance{ get{ return 10; } }
		public override int BasePoisonResistance{ get{ return 10; } }
		public override int BaseEnergyResistance{ get{ return 10; } }

		public override int InitMinHits{ get{ return 255; } }
		public override int InitMaxHits{ get{ return 255; } }

		[Constructable]
		public RoyalZooLeatherLegs() : base()
		{
			Hue = 0x109;
		
			Attributes.BonusMana = 3;
			Attributes.RegenStam = 3;
			Attributes.ReflectPhysical = 10;
			Attributes.LowerRegCost = 15;
		}

		public RoyalZooLeatherLegs( Serial serial ) : base( serial )
		{
		}
		
		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );
			
			writer.Write( (int) 0 ); // version
		}
		
		public override void Deserialize(GenericReader reader)
		{
			base.Deserialize( reader );
			
			int version = reader.ReadInt();
		}
	}
	
	public class RoyalZooLeatherGloves : LeatherGloves
	{
		public override int LabelNumber{ get{ return 1073222; } } // Leather Armor of the Britannia Royal Zoo
	
		public override int BasePhysicalResistance{ get{ return 10; } }
		public override int BaseFireResistance{ get{ return 10; } }
		public override int BaseColdResistance{ get{ return 10; } }
		public override int BasePoisonResistance{ get{ return 10; } }
		public override int BaseEnergyResistance{ get{ return 10; } }

		public override int InitMinHits{ get{ return 255; } }
		public override int InitMaxHits{ get{ return 255; } }

		[Constructable]
		public RoyalZooLeatherGloves() : base()
		{
			Hue = 0x109;
		
			Attributes.BonusMana = 3;
			Attributes.RegenStam = 3;
			Attributes.ReflectPhysical = 10;
			Attributes.LowerRegCost = 15;
		}

		public RoyalZooLeatherGloves( Serial serial ) : base( serial )
		{
		}
		
		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );
			
			writer.Write( (int) 0 ); // version
		}
		
		public override void Deserialize(GenericReader reader)
		{
			base.Deserialize( reader );
			
			int version = reader.ReadInt();
		}
	}
	
	public class RoyalZooLeatherGorget : LeatherGorget
	{
		public override int LabelNumber{ get{ return 1073222; } } // Leather Armor of the Britannia Royal Zoo
	
		public override int BasePhysicalResistance{ get{ return 10; } }
		public override int BaseFireResistance{ get{ return 10; } }
		public override int BaseColdResistance{ get{ return 10; } }
		public override int BasePoisonResistance{ get{ return 10; } }
		public override int BaseEnergyResistance{ get{ return 10; } }

		public override int InitMinHits{ get{ return 255; } }
		public override int InitMaxHits{ get{ return 255; } }

		[Constructable]
		public RoyalZooLeatherGorget() : base()
		{
			Hue = 0x109;
		
			Attributes.BonusMana = 3;
			Attributes.RegenStam = 3;
			Attributes.ReflectPhysical = 10;
			Attributes.LowerRegCost = 15;
		}

		public RoyalZooLeatherGorget( Serial serial ) : base( serial )
		{
		}
		
		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );
			
			writer.Write( (int) 0 ); // version
		}
		
		public override void Deserialize(GenericReader reader)
		{
			base.Deserialize( reader );
			
			int version = reader.ReadInt();
		}
	}
	
	public class RoyalZooLeatherArms : LeatherArms
	{
		public override int LabelNumber{ get{ return 1073222; } } // Leather Armor of the Britannia Royal Zoo
	
		public override int BasePhysicalResistance{ get{ return 10; } }
		public override int BaseFireResistance{ get{ return 10; } }
		public override int BaseColdResistance{ get{ return 10; } }
		public override int BasePoisonResistance{ get{ return 10; } }
		public override int BaseEnergyResistance{ get{ return 10; } }

		public override int InitMinHits{ get{ return 255; } }
		public override int InitMaxHits{ get{ return 255; } }

		[Constructable]
		public RoyalZooLeatherArms() : base()
		{
			Hue = 0x109;
		
			Attributes.BonusMana = 3;
			Attributes.RegenStam = 3;
			Attributes.ReflectPhysical = 10;
			Attributes.LowerRegCost = 15;
		}

		public RoyalZooLeatherArms( Serial serial ) : base( serial )
		{
		}
		
		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );
			
			writer.Write( (int) 0 ); // version
		}
		
		public override void Deserialize(GenericReader reader)
		{
			base.Deserialize( reader );
			
			int version = reader.ReadInt();
		}
	}
	
	public class RoyalZooLeatherChest : LeatherChest
	{
		public override int LabelNumber{ get{ return 1073222; } } // Leather Armor of the Britannia Royal Zoo
	
		public override int BasePhysicalResistance{ get{ return 10; } }
		public override int BaseFireResistance{ get{ return 10; } }
		public override int BaseColdResistance{ get{ return 10; } }
		public override int BasePoisonResistance{ get{ return 10; } }
		public override int BaseEnergyResistance{ get{ return 10; } }

		public override int InitMinHits{ get{ return 255; } }
		public override int InitMaxHits{ get{ return 255; } }

		[Constructable]
		public RoyalZooLeatherChest() : base()
		{
			Hue = 0x109;
		
			Attributes.BonusMana = 3;
			Attributes.RegenStam = 3;
			Attributes.ReflectPhysical = 10;
			Attributes.LowerRegCost = 15;
		}

		public RoyalZooLeatherChest( Serial serial ) : base( serial )
		{
		}
		
		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );
			
			writer.Write( (int) 0 ); // version
		}
		
		public override void Deserialize(GenericReader reader)
		{
			base.Deserialize( reader );
			
			int version = reader.ReadInt();
		}
	}
	
	public class RoyalZooLeatherFemaleChest : FemaleLeatherChest
	{
		public override int LabelNumber{ get{ return 1073222; } } // Leather Armor of the Britannia Royal Zoo
	
		public override int BasePhysicalResistance{ get{ return 10; } }
		public override int BaseFireResistance{ get{ return 10; } }
		public override int BaseColdResistance{ get{ return 10; } }
		public override int BasePoisonResistance{ get{ return 10; } }
		public override int BaseEnergyResistance{ get{ return 10; } }

		public override int InitMinHits{ get{ return 255; } }
		public override int InitMaxHits{ get{ return 255; } }

		[Constructable]
		public RoyalZooLeatherFemaleChest() : base()
		{
			Hue = 0x109;
		
			Attributes.BonusMana = 3;
			Attributes.RegenStam = 3;
			Attributes.ReflectPhysical = 10;
			Attributes.LowerRegCost = 15;
		}

		public RoyalZooLeatherFemaleChest( Serial serial ) : base( serial )
		{
		}
		
		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );
			
			writer.Write( (int) 0 ); // version
		}
		
		public override void Deserialize(GenericReader reader)
		{
			base.Deserialize( reader );
			
			int version = reader.ReadInt();
		}
	}
}