using System;
using Server;

namespace Server.Items
{
	[FlipableAttribute( 0x2B0C, 0x2B0D )]
	public class ValorGauntlets : BaseArmor
	{
		public override int LabelNumber{ get{ return 1075238; } } // Gauntlets of Valor (Virtue Armor Set)
		
		public override SetItem SetID{ get{ return SetItem.Virtue; } }
		public override int Pieces{ get{ return 8; } }
	
		public override int BasePhysicalResistance{ get{ return 6; } }
		public override int BaseFireResistance{ get{ return 6; } }
		public override int BaseColdResistance{ get{ return 8; } }
		public override int BasePoisonResistance{ get{ return 9; } }
		public override int BaseEnergyResistance{ get{ return 6; } }

		public override int InitMinHits{ get{ return 255; } }
		public override int InitMaxHits{ get{ return 255; } }
		
		public override int AosStrReq{ get{ return 50; } }
		
		public override ArmorMaterialType MaterialType{ get{ return ArmorMaterialType.Plate; } }

		[Constructable]
		public ValorGauntlets() : base( 0x2B0C )
		{
			LootType = LootType.Blessed;
			Weight = 4.0;
			SetHue = 0;
			Hue = 0x226;
			
			SetSelfRepair = 5;
			
			SetPhysicalBonus = 5;
			SetFireBonus = 5;
			SetColdBonus = 5;
			SetPoisonBonus = 5;
			SetEnergyBonus = 5;
		}

		public ValorGauntlets( Serial serial ) : base( serial )
		{
		}
		
		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );
			
			writer.Write( (int) 0 ); // version
		}
		
		public override void Deserialize(GenericReader reader)
		{
			base.Deserialize( reader );
			
			int version = reader.ReadInt();
		}
	}
}