using System;
using Server;
using Server.Items;

namespace Server.Mobiles 
{ 
	public class CrystalWisp : Wisp 
	{ 				
		[Constructable] 
		public CrystalWisp() : base() 
		{ 			
			Name = "a crystal wisp";
			Hue = 0x482;
			
            PackArcaneScroll(0, 1);

            Fame = 10000;
            Karma = -10000;
		}

		public override void GenerateLoot()
		{
			AddLoot( LootPack.FilthyRich );
			AddLoot( LootPack.Rich );
		}

		public CrystalWisp( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );
			
			writer.Write( (int) 0 ); // version
		}

		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );
			
			int version = reader.ReadInt();
		}
	}
}