using System;
using Server.Network;
using Server.Items;

namespace Server.Items
{

	public class LegacyOfDespair : DreadSword
	{

		public override int InitMinHits{ get{ return 255; } }
		public override int InitMaxHits{ get{ return 255; } }

		public override bool CanBeWornByGargoyles{ get{ return true; } }
		public override Race RequiredRace { get { return Race.Gargoyle; } }
		[Constructable]
		public LegacyOfDespair() : base( 0x90B )
		{
			Name = ("Legacy Of Despair");
		
			Hue = 5141;
		
			Attributes.WeaponSpeed = 30;
			Attributes.WeaponDamage = 60;
			WeaponAttributes.HitLowerDefend = 50;
			WeaponAttributes.HitLowerAttack = 50;
			WeaponAttributes.HitCurse = 10;		
            AosElementDamages.Cold = 75;
            AosElementDamages.Poison = 25;			
		}

		public LegacyOfDespair( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );
			writer.Write( (int) 0 ); // version
		}

		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );
			int version = reader.ReadInt();
		}
	}
}